propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Types.Chroot

# Documentation

data ChrootInfo Source #

Constructors

ChrootInfo |

Fields

- _chroots :: Map FilePath Host
- _chrootCfg :: ChrootCfg

Instances

Show ChrootInfo Source # |
Methods showsPrec :: Int -> ChrootInfo -> ShowS show :: ChrootInfo -> String showList :: [ChrootInfo] -> ShowS
Monoid ChrootInfo Source # |
Methods mempty :: ChrootInfo mappend :: ChrootInfo -> ChrootInfo -> ChrootInfo mconcat :: [ChrootInfo] -> ChrootInfo
IsInfo ChrootInfo Source # |
Methods propagateInfo :: ChrootInfo -> PropagateInfo Source #
Empty ChrootInfo Source # |
Methods isEmpty :: ChrootInfo -> Bool Source #

data ChrootCfg Source #

Constructors

NoChrootCfg |
SystemdNspawnCfg [(String, Bool)] |

Instances

Eq ChrootCfg Source # |
Methods (==) :: ChrootCfg -> ChrootCfg -> Bool (/=) :: ChrootCfg -> ChrootCfg -> Bool
Show ChrootCfg Source # |
Methods showsPrec :: Int -> ChrootCfg -> ShowS show :: ChrootCfg -> String showList :: [ChrootCfg] -> ShowS
Monoid ChrootCfg Source # |
Methods mempty :: ChrootCfg mappend :: ChrootCfg -> ChrootCfg -> ChrootCfg mconcat :: [ChrootCfg] -> ChrootCfg
Empty ChrootCfg Source # |
Methods isEmpty :: ChrootCfg -> Bool Source #